Project

General

Profile

Bug #34591

Sync error for deb repos after upgrade to 4.3

Added by Gerald Vogt 4 months ago. Updated 3 months ago.

Status:
Closed
Priority:
Normal
Assignee:
Category:
Repositories
Target version:
Fixed in Releases:
Found in Releases:
Red Hat JIRA:

Description

See https://community.theforeman.org/t/katello-error-syncing-deb-based-repo-packages/26725

After upgrading from 4.2 to 4.3 none of the deb based repos have a download policy set (it's a new setting with 4.3). This leads to an error message during sync:

Response body: {“policy”:[""" is not a valid choice."]}

Associated revisions

Revision 504111f7 (diff)
Added by Markus Bucher 4 months ago

Fixes #34591 - migrate deb-repo attributes (#10010)

Co-Authored-by: Markus Bucher <>

Co-authored-by: Manisha Singhal <>

History

#1 Updated by The Foreman Bot 4 months ago

  • Status changed from New to Ready For Testing
  • Pull request https://github.com/Katello/katello/pull/10010 added

#2 Updated by Partha Aji 4 months ago

  • Triaged changed from No to Yes
  • Target version set to Katello 4.5.0

#3 Updated by Ian Ballou 4 months ago

  • Target version changed from Katello 4.5.0 to Katello 4.4.0

#4 Updated by Markus Bucher 4 months ago

  • Status changed from Ready For Testing to Closed

#5 Updated by The Foreman Bot 4 months ago

  • Assignee set to Ian Ballou

#6 Updated by Ian Ballou 3 months ago

  • Target version changed from Katello 4.4.0 to Katello 4.3.2

#7 Updated by The Foreman Bot 3 months ago

  • Pull request https://github.com/Katello/katello/pull/10043 added

Also available in: Atom PDF